List projects by user ID
curl --request GET \
--url https://api.opensource-together.com/users/{id}/projectsimport requests
url = "https://api.opensource-together.com/users/{id}/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.opensource-together.com/users/{id}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "pjt_c54b633eb12f4900b92b34e222096449",
"title": "My Awesome Project",
"description": "A revolutionary web application",
"repoUrl": "https://github.com/username/repository",
"provider": "GITHUB",
"image": "https://example.com/image.jpg",
"logoUrl": "https://example.com/logo.png",
"published": true,
"trending": true,
"githubUrl": "https://github.com/username/repository",
"gitlabUrl": "https://gitlab.com/username/repository",
"twitterUrl": "https://twitter.com/username",
"linkedinUrl": "https://linkedin.com/in/username",
"discordUrl": "https://discord.gg/server",
"websiteUrl": "https://example.com",
"imagesUrls": [
"<string>"
],
"projectTechStacks": [
{
"id": "tst_c54b633eb12f4900b92b34e222096449",
"name": "React",
"iconUrl": "https://cdn.jsdelivr.net/gh/devicons/devicon@latest/icons/react/react-original.svg",
"type": "TECH"
}
],
"projectCategories": [
{
"id": "cat_c54b633eb12f4900b92b34e222096449",
"name": "API & Microservices"
}
]
}
],
"pagination": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"size": 10
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": {}
},
"timestamp": "2023-11-07T05:31:56Z"
}User
List projects by user ID
Get a paginated list of projects for a specific user
GET
/
users
/
{id}
/
projects
List projects by user ID
Path Parameters
Public ID of the user
Query Parameters
Page number for pagination
Number of projects per page
Whether to include published projects